#pragma once
#include "BarinkEngine.h"
#include <vector>;
class RenderSurface 
{
public:
	RenderSurface();
	~RenderSurface();

	void Draw();

private:
	// would normally be a material
	// however rendersurface is special and
	// thus does not contain a material
	Shader* shader;

	// Basically a mesh
	std::vector<glm::vec3> verts;
	std::vector<unsigned int > indices;


	Buffer vertexBuffer;
	Buffer elementBuffer;

	VertexArray VAO;



};
